import request from '@/utils/request'

// 获取物料申请单列表
export function getReqList(params) {
  return request({
    url: `/system/apply/material/list`,
    method: 'get',
    params: params
  })
}
// 物料申请单-新增
export function addReq(data) {
  return request({
    url: `/system/apply/material`,
    method: 'post',
    data: data
  })
}
// 获取物料申请单详情
export function getReqDetail(id) {
  return request({
    url: `/system/apply/material/${id}`,
    method: 'get',
  })
}
// 物料申请单-修改提交
export function editReq(data) {
  return request({
    url: `/system/apply/material`,
    method: 'put',
    data: data
  })
}
// 物料申请单-删除
export function delReq(id) {
  return request({
    url: `/system/apply/material/${id}`,
    method: 'delete',
  })
}

// 参照-计量单位
export function getUnit(data) {
  return request({
    url: `/system/archival/queryUnit?pageSize=${data.pageSize}&pageNum=${data.pageNo}`,
    method: 'post',
    data: data
  })
}
// 参照-产地
export function getPlace(data) {
  return request({
    url: `/system/archival/queryOrigin?pageSize=${data.pageSize}&pageNum=${data.pageNo}`,
    method: 'post',
    data: data
  })
}
// 参照-税类
export function getTax(data) {
  return request({
    url: `/system/archival/queryTaxrate?pageSize=${data.pageSize}&pageNum=${data.pageNo}`,
    method: 'post',
    data: data
  })
}
// 参照-采购员
export function getStaff(data) {
  return request({
    url: `/system/archival/queryStaffInfo?pageSize=${data.pageSize}&pageNum=${data.pageNo}`,
    method: 'post',
    data: data
  })
}
// 参照-业务线
export function getLine(data) {
  return request({
    url: `/system/archival/queryServiceline?pageSize=${data.pageSize}&pageNum=${data.pageNo}`,
    method: 'post',
    data: data
  })
}
// 参照-剂型-树形
export function getDose(data) {
  return request({
    url: `/system/archival/queryDosageForm`,
    method: 'post',
    data: data
  })
}
// 参照-采购组织-树形
// 查询部门下拉树结构
export function getOrgs(data) {
  return request({
    url: '/system/user/deptTree',
    method: 'get',
    params: data
  })
}
// 参照-药品类别(子表)-树形
export function getDrug(data) {
  return request({
    url: `/system/archival/queryMedcineItemDrug`,
    method: 'post',
    data: data
  })
}
// 参照-中包装单位
export function getMidPack(data) {
  return request({
    url: `/system/archival/queryMediumPackage?pageSize=${data.pageSize}&pageNum=${data.pageNo}`,
    method: 'post',
    data: data
  })
}